# Copyright 2019 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# NOTE: This class is auto generated by the elixir code generator program.
# Do not edit the class manually.

defmodule GoogleApi.AppState.V1.Model.UpdateRequest do
  @moduledoc """
  This is a JSON template for a requests which update app state

  ## Attributes

  *   `data` (*type:* `String.t`, *default:* `nil`) - The new app state data that your application is trying to update with.
  *   `kind` (*type:* `String.t`, *default:* `appstate#updateRequest`) - Uniquely identifies the type of this resource. Value is always the fixed string appstate#updateRequest.
  """

  use GoogleApi.Gax.ModelBase

  @type t :: %__MODULE__{
          :data => String.t(),
          :kind => String.t()
        }

  field(:data)
  field(:kind)
end

defimpl Poison.Decoder, for: GoogleApi.AppState.V1.Model.UpdateRequest do
  def decode(value, options) do
    GoogleApi.AppState.V1.Model.UpdateRequest.decode(value, options)
  end
end

defimpl Poison.Encoder, for: GoogleApi.AppState.V1.Model.UpdateRequest do
  def encode(value, options) do
    GoogleApi.Gax.ModelBase.encode(value, options)
  end
end
